Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
BlockCipherFinal< DIR, BASE > Class Template Reference

_ More...

`#include <seckey.h>`

Inheritance diagram for BlockCipherFinal< DIR, BASE >:

List of all members.

## Public Member Functions

| BlockCipherFinal (const byte *key)
| BlockCipherFinal (const byte *key, size_t length)
| BlockCipherFinal (const byte *key, size_t length, unsigned int rounds)
bool | IsForwardTransformation () const
Clonable * | Clone () const

## Detailed Description

### template<CipherDir DIR, class BASE>
class BlockCipherFinal< DIR, BASE >

_

Definition at line 151 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h